/*******************************************************************************
* Copyright (c) 2006 IONA Technologies PLC
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
* 
* Contributors:
*     IONA Technologies PLC - initial API and implementation
*******************************************************************************/
package org.eclipse.stp.sc.jaxws.actions;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.stp.common.logging.LoggingProxy;
import org.eclipse.stp.sc.common.utils.ResourceUtils;
import org.eclipse.stp.sc.jaxws.deploy.DeployGeneratorProxy;
import org.eclipse.stp.sc.jaxws.workspace.ScNature;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class WebDeployAction implements IObjectActionDelegate, IWorkbenchWindowActionDelegate {
    
    private static final LoggingProxy LOG = LoggingProxy.getlogger(WebDeployAction.class);

    public void init(IWorkbenchWindow window) {
        // TODO Auto-generated method stub
    }
    
    public void dispose() {
        // TODO Auto-generated method stub
    }
    
    public void setActivePart(IAction action, IWorkbenchPart targetPart) {
        // TODO Auto-generated method stub
    }

    public void run(IAction action) {
        try {
            IResource selectedResource = ResourceUtils.getSelectedResource();
            IPath path = (IPath)selectedResource.getFullPath();
            DeployGeneratorProxy proxy = DeployGeneratorProxy.getProxy(); 
            proxy.generate(path, ResourceUtils.getActiveProject(), null);
        } catch (Exception e) {
            LOG.error("error during web deploy", e);
        }
    }

    public void selectionChanged(IAction action, ISelection selection) {
        // TODO Auto-generated method stub
        IResource selectedResource = ResourceUtils.getSelectedResource();
        
        try {
            action.setEnabled(selectedResource != null
                              && selectedResource instanceof IFile
                              && ((IFile)selectedResource).getFileExtension().toLowerCase().equals("wsdl")
                              && ScNature.hasNature(selectedResource.getProject()));
        } catch (CoreException e) {
            // TODO Auto-generated catch block
            LOG.debug("error while trying to figure out if the action should be enabled", e);
        }
    }
}
